<?php

namespace App\Entity;

use App\Repository\MissionCategoryRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: MissionCategoryRepository::class)]
class MissionCategory
{
    #[ORM\Id]
    #[ORM\OneToMany(targetEntity: Mission::class, mappedBy: 'MissionCategory')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Mission $mission = null;

    #[ORM\Id]
    #[ORM\OneToMany(targetEntity: Category::class, mappedBy: 'MissionCategory')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Category $category = null;

    public function getMission(): ?Mission
    {
        return $this->mission;
    }

    public function setMission(?Mission $mission): void
    {
        $this->mission = $mission;
    }

    public function getCategory(): ?Category
    {
        return $this->category;
    }

    public function setCategory(?Category $category): void
    {
        $this->category = $category;
    }


}
